Skip to content
Start here

Update a webhook

client.Alerting.Destinations.Webhooks.Update(ctx, webhookID, params) (*DestinationWebhookUpdateResponse, error)
PUT/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}

Update a webhook destination.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
webhookID string

The unique identifier of a webhook

maxLength32
params DestinationWebhookUpdateParams
AccountID param.Field[string]

Path param: The account id

maxLength32
Name param.Field[string]

Body param: The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

URL param.Field[string]

Body param: The POST endpoint to call when dispatching a notification.

Secret param.Field[string]optional

Body param: Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

ReturnsExpand Collapse
type DestinationWebhookUpdateResponse struct{…}
ID stringoptional

UUID

maxLength32

Update a webhook

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  webhook, err := client.Alerting.Destinations.Webhooks.Update(
    context.TODO(),
    "b115d5ec15c641ee8b7692c449b5227b",
    alerting.DestinationWebhookUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      Name: cloudflare.F("Slack Webhook"),
      URL: cloudflare.F("https://hooks.slack.com/services/Ds3fdBFbV/456464Gdd"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", webhook.ID)
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90afafe4643bbbc4a0ed4fc8415"
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90afafe4643bbbc4a0ed4fc8415"
  }
}